# Update a taxonomy

Updates a taxonomy. You can, for example, add new taxonomy terms, delete existing terms, or change properties associated with the taxonomy or its terms.

Endpoint: PUT /api/v2/cm/branches/{branchId}/taxonomies/{taxonomyId}
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

  - `taxonomyId` (string, required)
    The ID of the taxonomy, for example color.

## Query parameters:

  - `version` (integer)
    The version of the taxonomy, for example 1

## Request fields (application/json-patch+json):

  - `name` (string,null)

  - `label` (string,null)

  - `versionTags` (array,null)

  - `terms` (array,null)

  - `terms.id` (string,null)

  - `terms.name` (string,null)

  - `terms.label` (string,null)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 404 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 204 fields

## Response 500 fields
